Bug 209124 - bluez-utils segfaults on shutdown
bluez-utils segfaults on shutdown
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 08:59 EDT by Alan Cox
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-14 11:05:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2006-10-03 08:59:01 EDT
Description of problem:
On shutdown bluez-utils segfaults which is logged to console as a NULL pointer
dereference in the user space app by the x86-64 kernel. This oddly doesn;t occur
if I do
service stop/start  only at shutdown.

How reproducible:
100%

Steps to Reproduce:
1. Boot
2. Shutdown

Happens with no bluetooth devices are attached to the system
Comment 1 David Woodhouse 2006-10-03 09:01:54 EDT
Please update to bluez-utils-3.7 (in the repo at http://david.woodhou.se/bluez/)
and retest.

Failing that, find some way to debug it and show me what happened :)
Comment 2 David Woodhouse 2006-10-03 09:03:57 EDT
does it also SEGV if you stop messagebus before stopping it?
Comment 3 Alan Cox 2006-10-03 09:51:33 EDT
It did the once but no pattern

The fault repeatably is segv for address 0x30, rip: 0x00002aaaaacebfe8

I'll try your repository in a bit and update the bug then see what I can do to
debug it more
Comment 4 David Woodhouse 2006-10-03 17:42:28 EDT
The bluez-utils-3.7 package should fix this. Unfortunately, it has been decreed
that we will not ship the fixed package in FC6.

I'll do an erratum after the FC6 release.
Comment 5 Alan Cox 2006-10-03 17:50:27 EDT
Fair enough, its not exactly anything but an ugly glitch on shutdown

Will verify 3.7 once I have a moment
Comment 6 Fedora Update System 2006-10-26 12:20:00 EDT
bluez-utils-3.7-2 bluez-gnome-0.6-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.